Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrSetCriteria

    java.lang.Object
      org.modeshape.graph.query.model.SetCriteria
          org.modeshape.jcr.query.qom.JcrSetCriteria

All Implemented Interfaces:
  Serializable, Constraint, LanguageObject, Visitable, SetCriteria, JcrConstraint

    public class JcrSetCriteria

extends SetCriteria
implements JcrConstraint, SetCriteria

Implementation of the same node constraint for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrSetCriteria(JcrDynamicOperand left, Collection<? extends JcrStaticOperand> setOperands)`
`JcrSetCriteria(JcrDynamicOperand left, JcrStaticOperand... setOperands)`

Method Summary
`DynamicOperand` | `getOperand()` Get the dynamic operand specification for the left-hand side of the set criteria.
`Collection<? extends StaticOperand>` | `getValues()` Get the static operands for this set criteria.

Methods inherited from class org.modeshape.graph.query.model.SetCriteria
`accept, equals, hashCode, leftOperand, rightOperands, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrSetCriteria

    public JcrSetCriteria(JcrDynamicOperand left,
                          Collection<? extends JcrStaticOperand> setOperands)

Parameters:
  `left` -
  `setOperands` -

### JcrSetCriteria

    public JcrSetCriteria(JcrDynamicOperand left,
                          JcrStaticOperand... setOperands)

Parameters:
  `left` -
  `setOperands` -

Method Detail

### getOperand

    public DynamicOperand getOperand()

  Get the dynamic operand specification for the left-hand side of the set criteria.

  Specified by:
    `getOperand` in interface `SetCriteria`
  Returns:
    the dynamic operand; never null
  See Also:
    `SetCriteria.getOperand()`

### getValues

    public Collection<? extends StaticOperand> getValues()

  Get the static operands for this set criteria.

  Specified by:
    `getValues` in interface `SetCriteria`
  Returns:
    the static operand; never null and never empty
  See Also:
    `SetCriteria.getValues()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.